LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 11-10-2010, 01:37 PM   #1
athomas
Member
 
Registered: May 2009
Location: Eastern Shore, MD, USA
Distribution: CentOS 5.5
Posts: 184

Rep: Reputation: 15
Web based package management?


I need a package management software solution (free, of course) for an internal, offline Linux network. I have an internal update server which I is obtained from the CentOS mirror. I need a way of making sure the users are applying updates as I put them on the system. I need a centralized way of doing this, rather than SSH'ing to each machine and doing an rpm -qa >> somefile.txt.

Ideas?
 
Old 11-10-2010, 01:57 PM   #2
pljvaldez
LQ Guru
 
Registered: Dec 2005
Location: Somewhere on the String
Distribution: Debian Wheezy (x86)
Posts: 6,094

Rep: Reputation: 273Reputation: 273Reputation: 273
Can you push a cronjob out to each machine that will run updates nightly against your local repository? That's how I do security updates on my Debian box. You might have to initially ssh to each machine to create the cronjob, but then you wouldn't have to go out after that.

Last edited by pljvaldez; 11-10-2010 at 01:58 PM.
 
Old 11-10-2010, 01:59 PM   #3
athomas
Member
 
Registered: May 2009
Location: Eastern Shore, MD, USA
Distribution: CentOS 5.5
Posts: 184

Original Poster
Rep: Reputation: 15
They don't want auto updates, I'd do it if I could...believe me. But, you know how developers are...
 
Old 11-10-2010, 03:53 PM   #4
szboardstretcher
Senior Member
 
Registered: Aug 2006
Location: Detroit, MI
Distribution: GNU/Linux systemd
Posts: 4,237

Rep: Reputation: 1656Reputation: 1656Reputation: 1656Reputation: 1656Reputation: 1656Reputation: 1656Reputation: 1656Reputation: 1656Reputation: 1656Reputation: 1656Reputation: 1656
Spacewalk by redhat does this.
 
Old 11-11-2010, 08:32 AM   #5
athomas
Member
 
Registered: May 2009
Location: Eastern Shore, MD, USA
Distribution: CentOS 5.5
Posts: 184

Original Poster
Rep: Reputation: 15
I downloaded their 32 bit repository, since this is an offline network. Looks like I'm missing:

koan >= 1.4.3
python-hashlib
jabberpy

Where do I get those?
 
Old 11-11-2010, 09:27 AM   #6
athomas
Member
 
Registered: May 2009
Location: Eastern Shore, MD, USA
Distribution: CentOS 5.5
Posts: 184

Original Poster
Rep: Reputation: 15
Ignore the above post. Looks like I had the wrong repo.

So I tried yum install spacewalk-postgresql, and a whole gala of packages were listed, but I'm also missing a whole bunch of dependencies. Since this is an offline network, is installing spacewalk not advisable?
 
Old 11-11-2010, 10:28 AM   #7
athomas
Member
 
Registered: May 2009
Location: Eastern Shore, MD, USA
Distribution: CentOS 5.5
Posts: 184

Original Poster
Rep: Reputation: 15
Here's my missing dependency list:

Code:
SatConfig-dbsynch-1.3.2-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: oracle-instantclient-basic is needed by package SatConfig-dbsynch-1.3.2-1.el5.noarch (Spacewalk)
spacewalk-postgresql-0.8.1-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: python-pgsql is needed by package spacewalk-postgresql-0.8.1-1.el5.noarch (Spacewalk)
spacewalk-setup-0.8.1-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(Term::ReadKey) is needed by package spacewalk-setup-0.8.1-1.el5.noarch (Spacewalk)
perl-NOCpulse-Probe-1.183.13-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(Net::SNMP) is needed by package perl-NOCpulse-Probe-1.183.13-1.el5.noarch (Spacewalk)
spacewalk-common-0.8.1-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: editarea is needed by package spacewalk-common-0.8.1-1.el5.noarch (Spacewalk)
spacewalk-setup-0.8.1-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(DateTime) is needed by package spacewalk-setup-0.8.1-1.el5.noarch (Spacewalk)
spacewalk-java-0.8.13-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: jfreechart >= 1.0.9 is needed by package spacewalk-java-0.8.13-1.el5.noarch (Spacewalk)
perl-NOCpulse-Object-1.26.10-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(Config::IniFiles) is needed by package perl-NOCpulse-Object-1.26.10-1.el5.noarch (Spacewalk)
oracle-lib-compat-10.2-21.el5.i386 from Spacewalk has depsolving problems
  --> Missing Dependency: oracle-instantclient-sqlplus = 10.2.0.4 is needed by package oracle-lib-compat-10.2-21.el5.i386 (Spacewalk)
spacewalk-base-0.8.17-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(DateTime) is needed by package spacewalk-base-0.8.17-1.el5.noarch (Spacewalk)
spacewalk-base-0.8.17-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(Frontier::Client) is needed by package spacewalk-base-0.8.17-1.el5.noarch (Spacewalk)
spacewalk-pxt-0.8.17-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(Cache::FileCache) is needed by package spacewalk-pxt-0.8.17-1.el5.noarch (Spacewalk)
spacewalk-setup-0.8.1-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl-Params-Validate is needed by package spacewalk-setup-0.8.1-1.el5.noarch (Spacewalk)
oracle-lib-compat-10.2-21.el5.i386 from Spacewalk has depsolving problems
  --> Missing Dependency: oracle-instantclient-basic = 10.2.0.4 is needed by package oracle-lib-compat-10.2-21.el5.i386 (Spacewalk)
tsdb-1.27.22-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(Class::MethodMaker) is needed by package tsdb-1.27.22-1.el5.noarch (Spacewalk)
NOCpulsePlugins-2.208.10-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(HTML::TableExtract) is needed by package NOCpulsePlugins-2.208.10-1.el5.noarch (Spacewalk)
spacewalk-setup-0.8.1-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: cobbler >= 1.6.3 is needed by package spacewalk-setup-0.8.1-1.el5.noarch (Spacewalk)
NOCpulsePlugins-2.208.10-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(Config::IniFiles) is needed by package NOCpulsePlugins-2.208.10-1.el5.noarch (Spacewalk)
MessageQueue-3.26.4-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(Net::SNMP) is needed by package MessageQueue-3.26.4-1.el5.noarch (Spacewalk)
perl-NOCpulse-SetID-1.6.11-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(Class::MethodMaker) is needed by package perl-NOCpulse-SetID-1.6.11-1.el5.noarch (Spacewalk)
spacewalk-pxt-0.8.17-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(Apache2::Request) is needed by package spacewalk-pxt-0.8.17-1.el5.noarch (Spacewalk)
perl-NOCpulse-Debug-1.23.15-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(Class::MethodMaker) is needed by package perl-NOCpulse-Debug-1.23.15-1.el5.noarch (Spacewalk)
spacewalk-setup-0.8.1-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: PyYAML is needed by package spacewalk-setup-0.8.1-1.el5.noarch (Spacewalk)
NPalert-1.126.11-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(Class::MethodMaker) is needed by package NPalert-1.126.11-1.el5.noarch (Spacewalk)
SatConfig-installer-3.24.6-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(MIME::Parser) is needed by package SatConfig-installer-3.24.6-1.el5.noarch (Spacewalk)
spacewalk-backend-tools-0.8.49-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: cobbler >= 1.4.3 is needed by package spacewalk-backend-tools-0.8.49-1.el5.noarch (Spacewalk)
perl-NOCpulse-Probe-1.183.13-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(SOAP::Lite) is needed by package perl-NOCpulse-Probe-1.183.13-1.el5.noarch (Spacewalk)
spacewalk-pxt-0.8.17-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(Apache2::Cookie) is needed by package spacewalk-pxt-0.8.17-1.el5.noarch (Spacewalk)
spacewalk-java-0.8.13-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: cobbler >= 1.6.3 is needed by package spacewalk-java-0.8.13-1.el5.noarch (Spacewalk)
SatConfig-general-1.216.16-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(Net::IPv4Addr) is needed by package SatConfig-general-1.216.16-1.el5.noarch (Spacewalk)
spacewalk-sniglets-0.8.17-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(Params::Validate) is needed by package spacewalk-sniglets-0.8.17-1.el5.noarch (Spacewalk)
spacewalk-taskomatic-0.8.13-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: cobbler >= 1.6.3 is needed by package spacewalk-taskomatic-0.8.13-1.el5.noarch (Spacewalk)
spacewalk-setup-0.8.1-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(Params::Validate) is needed by package spacewalk-setup-0.8.1-1.el5.noarch (Spacewalk)
spacewalk-base-minimal-0.8.17-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(Params::Validate) is needed by package spacewalk-base-minimal-0.8.17-1.el5.noarch (Spacewalk)
spacewalk-base-0.8.17-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(Text::Diff) is needed by package spacewalk-base-0.8.17-1.el5.noarch (Spacewalk)
eventReceivers-2.20.13-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(Apache2::Request) is needed by package eventReceivers-2.20.13-1.el5.noarch (Spacewalk)
MessageQueue-3.26.4-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(BerkeleyDB) is needed by package MessageQueue-3.26.4-1.el5.noarch (Spacewalk)
spacewalk-taskomatic-0.8.13-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: jfreechart >= 1.0.9 is needed by package spacewalk-taskomatic-0.8.13-1.el5.noarch (Spacewalk)
oracle-instantclient-selinux-10.2-17.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: oracle-instantclient-basic is needed by package oracle-instantclient-selinux-10.2-17.el5.noarch (Spacewalk)
spacewalk-config-0.8.2-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(Apache::DBI) is needed by package spacewalk-config-0.8.2-1.el5.noarch (Spacewalk)
oracle-instantclient-sqlplus-selinux-10.2-17.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: oracle-instantclient-sqlplus is needed by package oracle-instantclient-sqlplus-selinux-10.2-17.el5.noarch (Spacewalk)
perl-NOCpulse-Probe-1.183.13-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(Class::MethodMaker) is needed by package perl-NOCpulse-Probe-1.183.13-1.el5.noarch (Spacewalk)
spacewalk-base-0.8.17-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(Params::Validate) is needed by package spacewalk-base-0.8.17-1.el5.noarch (Spacewalk)
NPalert-1.126.11-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(Crypt::GeneratePassword) is needed by package NPalert-1.126.11-1.el5.noarch (Spacewalk)
spacewalk-pxt-0.8.17-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(Params::Validate) is needed by package spacewalk-pxt-0.8.17-1.el5.noarch (Spacewalk)
SatConfig-cluster-1.54.8-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(Config::IniFiles) is needed by package SatConfig-cluster-1.54.8-1.el5.noarch (Spacewalk)
NPalert-1.126.11-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(Config::IniFiles) is needed by package NPalert-1.126.11-1.el5.noarch (Spacewalk)
SputLite-server-0.48.11-1.el5.noarch from Spacewalk has depsolving problems
  --> Missing Dependency: perl(DateTime) is needed by package SputLite-server-0.48.11-1.el5.noarch (Spacewalk)
Error: Missing Dependency: oracle-instantclient-basic is needed by package SatConfig-dbsynch-1.3.2-1.el5.noarch (Spacewalk)
Error: Missing Dependency: perl(DateTime) is needed by package spacewalk-base-0.8.17-1.el5.noarch (Spacewalk)
Error: Missing Dependency: perl(Config::IniFiles) is needed by package perl-NOCpulse-Object-1.26.10-1.el5.noarch (Spacewalk)
Error: Missing Dependency: perl(Crypt::GeneratePassword) is needed by package NPalert-1.126.11-1.el5.noarch (Spacewalk)
Error: Missing Dependency: perl(Config::IniFiles) is needed by package NOCpulsePlugins-2.208.10-1.el5.noarch (Spacewalk)
Error: Missing Dependency: perl(BerkeleyDB) is needed by package MessageQueue-3.26.4-1.el5.noarch (Spacewalk)
Error: Missing Dependency: perl(Class::MethodMaker) is needed by package tsdb-1.27.22-1.el5.noarch (Spacewalk)
Error: Missing Dependency: editarea is needed by package spacewalk-common-0.8.1-1.el5.noarch (Spacewalk)
Error: Missing Dependency: perl(Net::IPv4Addr) is needed by package SatConfig-general-1.216.16-1.el5.noarch (Spacewalk)
Error: Missing Dependency: perl(Apache2::Request) is needed by package spacewalk-pxt-0.8.17-1.el5.noarch (Spacewalk)
Error: Missing Dependency: oracle-instantclient-basic is needed by package oracle-instantclient-selinux-10.2-17.el5.noarch (Spacewalk)
Error: Missing Dependency: perl(Term::ReadKey) is needed by package spacewalk-setup-0.8.1-1.el5.noarch (Spacewalk)
Error: Missing Dependency: jfreechart >= 1.0.9 is needed by package spacewalk-java-0.8.13-1.el5.noarch (Spacewalk)
Error: Missing Dependency: perl(Cache::FileCache) is needed by package spacewalk-pxt-0.8.17-1.el5.noarch (Spacewalk)
Error: Missing Dependency: perl(Params::Validate) is needed by package spacewalk-pxt-0.8.17-1.el5.noarch (Spacewalk)
Error: Missing Dependency: python-pgsql is needed by package spacewalk-postgresql-0.8.1-1.el5.noarch (Spacewalk)
Error: Missing Dependency: perl(Apache2::Cookie) is needed by package spacewalk-pxt-0.8.17-1.el5.noarch (Spacewalk)
Error: Missing Dependency: perl(Apache::DBI) is needed by package spacewalk-config-0.8.2-1.el5.noarch (Spacewalk)
Error: Missing Dependency: perl(Class::MethodMaker) is needed by package perl-NOCpulse-Debug-1.23.15-1.el5.noarch (Spacewalk)
Error: Missing Dependency: oracle-instantclient-sqlplus is needed by package oracle-instantclient-sqlplus-selinux-10.2-17.el5.noarch (Spacewalk)
Error: Missing Dependency: perl(Text::Diff) is needed by package spacewalk-base-0.8.17-1.el5.noarch (Spacewalk)
Error: Missing Dependency: perl(Class::MethodMaker) is needed by package NPalert-1.126.11-1.el5.noarch (Spacewalk)
Error: Missing Dependency: perl(HTML::TableExtract) is needed by package NOCpulsePlugins-2.208.10-1.el5.noarch (Spacewalk)
Error: Missing Dependency: perl(Net::SNMP) is needed by package perl-NOCpulse-Probe-1.183.13-1.el5.noarch (Spacewalk)
Error: Missing Dependency: perl(Frontier::Client) is needed by package spacewalk-base-0.8.17-1.el5.noarch (Spacewalk)
Error: Missing Dependency: cobbler >= 1.6.3 is needed by package spacewalk-java-0.8.13-1.el5.noarch (Spacewalk)
Error: Missing Dependency: perl(Params::Validate) is needed by package spacewalk-sniglets-0.8.17-1.el5.noarch (Spacewalk)
Error: Missing Dependency: PyYAML is needed by package spacewalk-setup-0.8.1-1.el5.noarch (Spacewalk)
Error: Missing Dependency: perl(DateTime) is needed by package SputLite-server-0.48.11-1.el5.noarch (Spacewalk)
Error: Missing Dependency: perl-Params-Validate is needed by package spacewalk-setup-0.8.1-1.el5.noarch (Spacewalk)
Error: Missing Dependency: jfreechart >= 1.0.9 is needed by package spacewalk-taskomatic-0.8.13-1.el5.noarch (Spacewalk)
Error: Missing Dependency: perl(Config::IniFiles) is needed by package NPalert-1.126.11-1.el5.noarch (Spacewalk)
Error: Missing Dependency: perl(Apache2::Request) is needed by package eventReceivers-2.20.13-1.el5.noarch (Spacewalk)
Error: Missing Dependency: perl(Net::SNMP) is needed by package MessageQueue-3.26.4-1.el5.noarch (Spacewalk)
Error: Missing Dependency: perl(Params::Validate) is needed by package spacewalk-base-minimal-0.8.17-1.el5.noarch (Spacewalk)
Error: Missing Dependency: cobbler >= 1.6.3 is needed by package spacewalk-setup-0.8.1-1.el5.noarch (Spacewalk)
Error: Missing Dependency: cobbler >= 1.6.3 is needed by package spacewalk-taskomatic-0.8.13-1.el5.noarch (Spacewalk)
Error: Missing Dependency: perl(DateTime) is needed by package spacewalk-setup-0.8.1-1.el5.noarch (Spacewalk)
Error: Missing Dependency: oracle-instantclient-basic = 10.2.0.4 is needed by package oracle-lib-compat-10.2-21.el5.i386 (Spacewalk)
Error: Missing Dependency: cobbler >= 1.4.3 is needed by package spacewalk-backend-tools-0.8.49-1.el5.noarch (Spacewalk)
Error: Missing Dependency: perl(Class::MethodMaker) is needed by package perl-NOCpulse-Probe-1.183.13-1.el5.noarch (Spacewalk)
Error: Missing Dependency: oracle-instantclient-sqlplus = 10.2.0.4 is needed by package oracle-lib-compat-10.2-21.el5.i386 (Spacewalk)
Error: Missing Dependency: perl(MIME::Parser) is needed by package SatConfig-installer-3.24.6-1.el5.noarch (Spacewalk)
Error: Missing Dependency: perl(Config::IniFiles) is needed by package SatConfig-cluster-1.54.8-1.el5.noarch (Spacewalk)
Error: Missing Dependency: perl(Params::Validate) is needed by package spacewalk-base-0.8.17-1.el5.noarch (Spacewalk)
Error: Missing Dependency: perl(Params::Validate) is needed by package spacewalk-setup-0.8.1-1.el5.noarch (Spacewalk)
Error: Missing Dependency: perl(SOAP::Lite) is needed by package perl-NOCpulse-Probe-1.183.13-1.el5.noarch (Spacewalk)
Error: Missing Dependency: perl(Class::MethodMaker) is needed by package perl-NOCpulse-SetID-1.6.11-1.el5.noarch (Spacewalk)
Suggestions? Again, this is offline and will never, and can never be connected to the net.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
clfs and user based package management charlie_lab Linux From Scratch 7 06-22-2010 04:32 PM
user based package management and book 6.6 charlie_lab Linux From Scratch 10 04-18-2010 01:26 PM
Web Based Form Management antidelldude Linux - Software 5 06-09-2007 10:59 PM
PackageUser based package management na5m Linux From Scratch 14 03-26-2007 07:11 PM
User Based Package Management System Chowroc Linux From Scratch 2 03-16-2007 05:30 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 05:19 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration